:root,
[data-bs-theme=light] {
    --bs-gray-350: #D6D6D6;
    --bs-body-font-size:1.05rem;
    --bs-body-line-height: 1.5;
}

#main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-fluid, #main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-sm, #main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-md, #main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-lg, #main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-xl, #main-wrapper[data-layout=vertical][data-header-position=fixed] .body-wrapper > .container-xxl {
  padding-top:40px;
}

/* body {
    background-color: #5A6A85;
} */

/* FONT SIZES */

.nav {
    --bs-nav-link-font-size:1.2rem;
}

.fs-1 {
    font-size: 0.75rem !important;
}

.fs-2 {
    font-size: 0.9rem !important;
}

.fs-3 {
    font-size: 1.05rem !important;
}

.fs-4 {
    font-size: 1.2rem !important;
}

.fs-5 {
    font-size: 1.35rem !important;
}

.fs-6 {
    font-size: 1.5rem !important;
}

.fs-7 {
    font-size: calc(1.53rem + 0.36vw) !important;
}

.fs-8 {
    font-size: calc(1.575rem + 0.9vw) !important;
}

.fs-9 {
    font-size: calc(1.62rem + 1.44vw) !important;
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    line-height: 1.2;
}

h1, .h1 {
    font-size: calc(1.6125rem + 1.35vw);
}

@media (min-width: 1200px) {
    h1, .h1 {
        font-size: 2.625rem;
    }
}

h2, .h2 {
    font-size: calc(1.56rem + 0.72vw);
}

@media (min-width: 1200px) {
    h2, .h2 {
        font-size: 2.1rem;
    }
}

h3, .h3 {
    font-size: calc(1.53375rem + 0.405vw);
}

@media (min-width: 1200px) {
    h3, .h3 {
        font-size: 1.8375rem;
    }
}

h4, .h4 {
    font-size: calc(1.5075rem + 0.09vw);
}

@media (min-width: 1200px) {
    h4, .h4 {
        font-size: 1.575rem;
    }
}

h5, .h5 {
    font-size: 1.3125rem;
}

h6, .h6 {
    font-size: 1.05rem;
}


/* GLOBAL STYLES */

.mw-100 {
    max-width: 100% !important;
}

.mw-90 {
    max-width: 98% !important;
}

.text-gray-200 {
    color: var(--bs-gray-200);
}

.text-gray-300 {
    color: var(--bs-gray-300);
}

.text-gray-350 {
    color: var(--bs-gray-350);
}

.text-gray-400 {
    color: var(--bs-gray-400);
}

.text-dark {
    color: #5a6a85!important;
}



/* NAV BREDCRUMBS ICON */

.text-logo-color {
    color: #ff6161;
}



/* FILTER PANNEL */

.grad {
    background-image: linear-gradient(var(--bs-primary), #875DFF);
}

.filterTab {
    background-color: #539BFF!important;
    padding:8px 20px!important;
    color: #FFF;
    border-bottom-left-radius: 10px!important;
    border-bottom-right-radius: 10px!important;
    margin-right: 20px;
}

.filterTab.active {
    background-color: #FFF!important;
    color: #5A6A85!important;
}

.shortText {
    display:inherit;
}



/* BOX VIEW */

.boxViewIcons {
    width: 30px;
    text-align: center!important;
}

.rounded-circle {
    width: 30px;
    height: 30px;
    margin-top: 0.15em;
}

.box {
    height: 100%;
}

.row.display-flex {
    display: flex;
    flex-wrap: wrap;
}

.cursor-pointer {
    cursor: pointer;
}



/* SIDEBAR */

.brand-logo {
    padding: 40px 24px 30px 24px;
}

.left-sidebar {
    background-color:   #383838;
}

.fa-1point5x {
    font-size: 1.5em;
}

.fa-sidebarWidthIcon {
    font-size: 1.1em;
    width: 35px;
    text-align: center;
}

.sidebar-nav ul .sidebar-item .sidebar-link {
    color: #ffffff;
    font-size: 17px;
    line-height: 28px;
}

.sidebar-nav ul .sidebar-item.selected > .sidebar-link.active, .sidebar-nav ul .sidebar-item.selected > .sidebar-link, .sidebar-nav ul .sidebar-item > .sidebar-link.active {
    background-color: #5D87FF;
}

.sidebar-nav ul .sidebar-item .sidebar-link:hover {
    color: #ffffff;
    background-color:#5D87FF;
}

.sidebar-nav .has-arrow::after {
    border-color: #ffffff;
}

.sidebar-nav ul .sidebar-item .sidebar-link:hover.has-arrow::after {
    border-color: #5D87FF;
    background-color: #5D87FF;
}

.sidebar-nav ul .sidebar-item .first-level .sidebar-item > .sidebar-link {
    font-size: 17px;
    margin-left: 30px;
}

.sidebar-nav ul .sidebar-item .first-level .sidebar-item .sidebar-link.active, .sidebar-nav ul .sidebar-item .first-level .sidebar-item .sidebar-link:hover {
    background-color: #5D87FF!important;
    color: #fff!important;
}

.dropdown-menu-center {width:200px; left:50%; margin-left:-100px;}
    #main-wrapper[data-layout="vertical"] .app-header.fixed-header .navbar {
    background: none;
    padding: 0px;
    border-radius: 0px;
    box-shadow: none;
    margin-top: 0px;
}

.hover-img {
    transition: all 0.2s ease-in 0s;
}
.hover-img:hover {
    transform: scale(1.02)!important;
    background-color: #F3F3F3;
}



/* BUTTONS */

.filterButton {
    padding-top: 11px!important;
    padding-bottom: 12px!important;
}

.progress-large {
    font-size:1rem;
}

.offcanvasCloseBtn {
    position: absolute;
    top:0;
    right: 0;
    padding: 30px;
}


.infoBtn {
    position: absolute;
    top:0;
    right: 0;
    padding: 30px;
}

.btn-dark h3 {
  color: #FFF!important;
}

.btn-dark h3:hover {
  color: #FFF!important;
}


/* FORM STYLES*/

label  {
    max-width:100%; 
}

.form-floating > label {
    padding: 0.8rem 16px;    margin-bottom: 0px;
}

.form-control {
    font-size: 1.05rem;
}

.form-control-lg {
    background-color: #FFF!important;
    border-radius: 7px!important;
}

.form-control::file-selector-button {
    padding: 15px 16px;
}

.select2-container--classic .select2-selection--single, .select2-container--default .select2-selection--single, .select2-container--default .select2-selection--single .select2-selection__rendered, .select2-container--default .select2-selection--single .select2-selection__arrow, .select2-container--classic .select2-selection--single .select2-selection__arrow, .select2-container--classic .select2-selection--single .select2-selection__rendered {
    height: 57px;
    line-height: 75px;
}

.select2-container--default .select2-selection--multiple {
    padding-top: 13px;
    padding-bottom: 13px;
    margin-bottom: 0px;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 15px;
}

.select2-container--default .select2-selection--single {
    background-color: #fff;
    border: 1px solid #DFE5EF!important;
    border-radius: 7px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: solid #DFE5EF 1px;
    outline: 0;
}

.select2-container--default .select2-selection--multiple {
    border-radius: 7px;
}

.select2-container .select2-search--inline .select2-search__field {
    margin-top: 9px;
    height: 21px;
    margin-left: 15px;
    font-family: var(--bs-font-sans-serif);
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    border-radius: 7px;
    margin-top: 0px;
    margin-left: 15px;
}



/* TABLES */

table#defaultTable tbody tr:nth-child(even):hover td, table#defaultTable tbody tr:nth-child(odd):hover td, 
table#defaultTableBills tbody tr:nth-child(even):hover td, table#defaultTableBills tbody tr:nth-child(odd):hover td {
    background-color: var(--bs-light-info) !important;
}

table tbody tr td a {
    font-weight: 600;
}

table.defaultTable tbody tr td, table.defaultTableBills tbody tr td {
    vertical-align: middle;
    font-size: 1.1rem;
}

.fixedWidth50 {
    width: 50px;
}

.fixedWidth60 {
    width: 60px;
}



/* OFFCANVAS PANNEL */

.offcanvas-body {
    padding: 35px;
}

.scrollCont{
    height: calc(100vh - 100px);
    overflow: auto;
}

.offcanvas, .offcanvas-xxl, .offcanvas-xl, .offcanvas-lg, .offcanvas-md, .offcanvas-sm {
    --bs-offcanvas-width: 800px;
}

.offcanvasTab {
    padding:8px 20px!important;
    border-bottom-left-radius: 0px!important;
    border-bottom-right-radius: 0px!important;
}


.filterPanel a.nav-link {
    padding:8px 20px!important;
    border-radius: 7px!important;
}


/* CALENDAR NEW */

.calendarTable{
    border: 1px solid #ebf1f6!important;
    margin-top: 20px;
    margin-bottom: 60px;
}

#weekHeader {
    height: 2%;  
}

#monthHeader{
    height: 2%;  
}

.headerDay {
    width: calc(100vw / 7);
}


.tableDay{
    border: 1px solid #ebf1f6!important;
}

.numberDay {
    text-align: right;
    padding-bottom: 10px;
}

a.calenderEvent, a.calenderEventTrainings {
    display: block;
    color:  #5D87FF;
    background-color: #ecf2ff;
    border:1px solid #5D87FF;
    border-radius: 7px;
    white-space: nowrap;
}

a.calenderEvent:hover {
    color: #ecf2ff;
    background-color: #5D87FF;
}

.eventDay{
    border: 1px solid  #FF0004 !important;
}

a.calenderEventTrainings {
    border: 0;
}

a.calenderEventTrainings:hover {
    background-color: #e4ebfa;
}

span.round-number, span.round-number-white {
    background: #5A6A85;
    border-radius: 50%;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    color: #FFF;
    display: inline-block;
    line-height: 40px;
    margin-right: 5px;
    text-align: center;
    width: 40px;
    font-size: 25px;
    margin-right: 15px;
}

div.steps-image-container {
    margin-top: 40px;
}

img.steps-image {
    border: 0px solid #fdfdfd;
    box-shadow: 0 0.1rem 0.5rem rgba(0, 0, 0, 0.3);
    border-radius: 10px; 
    overflow: hidden;
    max-width: 1024px;
}

.box {
    border: 0px solid #fdfdfd;
    box-shadow: 0 0.1rem 0.5rem rgba(0, 0, 0, 0.3);
    border-radius: 10px; 
    overflow: hidden;
}

span.round-number-white {
    background: #FFF;
    color: #5A6A85;
}

.nav-help a {
    color: #FFF;

}

.nav-help a.active {
    color: #3584e4!important;
}

.nav-help li {
    padding: 2px 2px 2px 20px;
}

.nav-help li ul {
    display: none;
    padding-left: 18px;

}

.nav-help li ul.active {
    display: block;
}

.nav-help li ul li ul {
    display: none;
    padding-left: 5px;
}

.nav-help li ul li ul.active {
    display: block;
}

.nav-help li ul li ul a {
    font-size:14px;
}

/* CALENDAR OLD

.month {
    padding: 20px 25px;
    width: 100%;
    background: var(--bs-primary);
    text-align: center;
}

.month ul {
    margin: 0;
    padding: 0;
}

.month ul li {
    color: white;
    font-size: 20px;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.month .prev {
    float: left;
    padding-top: 10px;

}

.month .next {
    float: right;
    padding-top: 10px;
}

.days {
    width: 100%;
}

.days tbody tr td, .days thead tr th {
    width: 13.6%;
    height: 9vh;
    text-align: center;
    vertical-align: top;
    font-size: 0.8rem;
    border: 10px solid #FFF;
    font-weight: 600;
    background-color: aliceblue;
}

.days thead tr th {
    height: 9vh;
    border: none;
    vertical-align: middle;
}

.days tbody tr td.training {
    background-color: var(--bs-success);
}

tr.border-top-fat td {
    border-top: 2px solid #5a6a85 !important;
}
 */

/* AJAX STUFF */
#spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 3.5rem;
    height: 3.5rem;
}

#backdrop {
    position:absolute;
    top:0;
    width: 100vw;
    height: 100vh;
    z-index: 999;
    background-color: rgb(0,0,0,0.2);
    display: none;
}

.show {
    display: block !important;
}

select, .select2-container { 
    display: block;
    width: 100% !important;
}


/* Add media queries for smaller screens */

@media screen and (max-width: 290px) {
    .weekdays li, .days li {
        width: 12.2%;
    }
}



@media screen and (max-width: 420px) {
    .weekdays li, .days li {
        width: 12.5%;
    }
    .days li .active {
        padding: 2px;
    }
}



@media screen and (max-width:720px) {
    .weekdays li, .days li {width: 13.1%;}
    .form-floating {
        margin-bottom: 10px;
    }
    
    .breadcrumb {
        margin-bottom: 20px;
    }
    
    .filterPanel a.nav-link {
        padding:4px 10px!important;
        margin-bottom: 20px;
    }
    
    .opomin {
        margin: 10px 0px 20px 0px;;
    }
    
    .offcanvas-body {
        padding: 20px 10px 10px 10px;
    }
    
    .offcanvasCloseBtn {
        padding: 20px 20px 10px 10px;
    }
    
    .infoBtn {
        position: inherit;
        top: inherit;
        right: inherit;
        padding: 0px;
        margin-top: 30px;
        text-align: center;
    }
    
    .tab-content .p-5 {
        padding:2.5rem!important
    }
    
    .shortText {
       display:none;
    }
}



@media (min-width: 992px) {
    #main-wrapper[data-layout=vertical][data-header-position=fixed] .app-header {
        width: calc(99% - 270px);
    }    
}